package eu.mhsl.craftattack.spawn.appliances.tooling.adminChat;

import eu.mhsl.craftattack.spawn.appliance.ApplianceCommand;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.jetbrains.annotations.NotNull;

class AdminChatCommand extends ApplianceCommand.PlayerChecked<AdminChat> {
    public static final String commandName = "adminchat";

    public AdminChatCommand() {
        super(commandName);
    }

    @Override
    protected void execute(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args) throws Exception {
        if(!sender.hasPermission("admin")) return;

        String message = String.join(" ", args);
        this.getAppliance().sendMessage(this.getPlayer(), message);
    }
}
