package eu.mhsl.craftattack.spawn.appliances.metaGameplay.sleepTag;

import eu.mhsl.craftattack.spawn.appliance.ApplianceListener;
import org.bukkit.event.EventHandler;
import org.bukkit.event.player.PlayerBedEnterEvent;
import org.bukkit.event.player.PlayerBedLeaveEvent;

class SleepStateChangeListener extends ApplianceListener<SleepTag> {
    @EventHandler
    public void onBedEnter(PlayerBedEnterEvent event) {
        if(!event.getBedEnterResult().equals(PlayerBedEnterEvent.BedEnterResult.OK)) return;
        this.getAppliance().updateSleeping(event.getPlayer(), true);
    }

    @EventHandler
    public void onBedLeave(PlayerBedLeaveEvent event) {
        this.getAppliance().updateSleeping(event.getPlayer(), false);
    }
}
